package za.co.momentum.recurring.nurse.client.sao;

import org.eclipse.jface.dialogs.ProgressMonitorDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import za.co.momentum.recurring.client.TNPlugin.Application;
import za.co.momentum.recurring.client.TNPlugin.RCPTNPlugin;
import com.swtdesigner.ResourceManager;
import com.swtdesigner.SWTResourceManager;

public class TNProgressDialog extends ProgressMonitorDialog {

	private Color backColor = SWTResourceManager.getColor(SWT.COLOR_WHITE);
	private Color foreColor = SWTResourceManager.getColor(SWT.COLOR_BLUE);
	
	public TNProgressDialog(Shell parent) {
		super(parent);
	}

	protected void configureShell(Shell shell) {
		// shell.setSize(10,10);
		shell.setText(Application.APPLICATION_NAME);
		shell.setBackground(backColor);
	}
	
	 protected Image getImage(){
		 return ResourceManager.getPluginImage(RCPTNPlugin.getDefault(),
	        "icons/logo-m.gif");
	 }

	protected Control createDialogArea(Composite parent) {
		Control c =  super.createDialogArea(parent);
		imageLabel.setBackground(backColor);
		messageLabel.setBackground(backColor);
		messageLabel.setForeground(foreColor);
		messageLabel.setFont(SWTResourceManager.getFont("", 10, SWT.BOLD));
		subTaskLabel.setBackground(backColor);
		subTaskLabel.setForeground(foreColor);
		return c;
	}
	
	 

}
