/*
 * Created on 2005/08/18
 */
package za.co.momentum.recurring.nurse.client.ui;


import java.util.Calendar;
import java.util.Locale;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.TabFolder;
import org.eclipse.swt.widgets.TabItem;
import za.co.momentum.risk.fastlane.nurse.dto.UserTO;
import com.swtdesigner.SWTResourceManager;


public class DiariesWindow implements WindowIFace {

	private Combo combo;
	protected Shell shell;

	public static void main(String[] args) {
		try {
			DiariesWindow window = new DiariesWindow();
			window.open();
		} catch (Exception e) {
			e.printStackTrace();
		}
		SWTResourceManager.dispose();
	}

	public void open() {
		final Display display = Display.getDefault();
		createContents();
		shell.open();
		shell.layout();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
	}

	protected void createContents() {
		shell = new Shell();
		shell.setSize(744, 682);
		shell.setText("Calendar view");

		final TabFolder tabFolder = new TabFolder(shell, SWT.NONE);
		tabFolder.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		tabFolder.setBounds(0, 35, 733, 610);

		final TabItem nurse1TabItem = new TabItem(tabFolder, SWT.NONE);
		nurse1TabItem.setText("Nurse1");

		final Composite composite = new Composite(tabFolder, SWT.NONE);
		nurse1TabItem.setControl(composite);

		final DayView dayView = new DayView(composite, SWT.NONE);
		dayView.setBounds(3, 2, 716, 258);
		//Hard coded
		UserTO n = new UserTO();
	//	n.setId(new Long(1));
	//	n.setCellnumber("1234");
	//	n.setName("Rudolph");
		dayView.setNurse(n);

		final Group group = new Group(composite, SWT.NONE);
		group.setBounds(0, 326, 718, 250);

		final Label appointmentDetailLabel = new Label(composite, SWT.NONE);
		appointmentDetailLabel.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		appointmentDetailLabel.setText("Appointment detail");
		appointmentDetailLabel.setBounds(0, 310, 151, 20);

		final TabItem nurse2TabItem = new TabItem(tabFolder, SWT.NONE);
		nurse2TabItem.setText("Nurse2");

		final Composite composite_1 = new Composite(tabFolder, SWT.NONE);
		nurse2TabItem.setControl(composite_1);

		final WeekView weekView = new WeekView(composite_1, SWT.NONE);
		weekView.setBounds(2, 3, 729, 571);

		final Label regionLabel = new Label(shell, SWT.NONE);
		regionLabel.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		regionLabel.setText("Region");
		regionLabel.setBounds(1, 6, 56, 25);

		combo = new Combo(shell, SWT.NONE);
		combo.setItems(new String[] { "GAUTENG", "MPUMALANGA", "CAPE" });
		combo.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
		combo.setBounds(63, 2, 387, 28);

		


     Locale[] temp = Calendar.getAvailableLocales();
     int count = 0;
     for (int i = 0; i < temp.length; i++) {
         if (temp[i].getCountry().length() > 0) {
             count++;
         }
     }

     final Locale[] locales = new Locale[count];

     count = 0;
     for (int i = 0; i < temp.length; i++) {
         if (temp[i].getCountry().length() > 0) {
             locales[count] = temp[i];
             count++;
         }
     }


     for (int i = 0; i < locales.length; i++) {
         if (locales[i].equals(Locale.getDefault())) {
             break;
         }
     }



		
	
		
		
		
	}

	public void focus(){
		shell.setVisible(true);
		shell.setMinimized(false);
		shell.forceActive();
	}
	public void hide(){
		shell.setVisible(false);
	}

	public void dispose() {
		shell.dispose();
	}

}
