/*
 * Created on 2005/08/25
 */
package za.co.momentum.recurring.nurse.client.ui;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableColumn;
import org.eclipse.swt.widgets.Text;
import com.swtdesigner.SWTResourceManager;

public class MiniDay extends Composite {

  private Text currentdateText;
  private Label dayLabel = new Label(this, SWT.NONE);
  final SimpleDateFormat formatter = new SimpleDateFormat("MMM dd yyyy");
  private Calendar theDate = Calendar.getInstance();
  private String dayName = "";
  private List appointments;

  private Table table;

  public void getAppointments() {
    // Hard coded
    // Must get from db
    /*
     * AppReqTO app1 = new AppReqTO(); app1.setDescription("App 1"); Calendar c =
     * Calendar.getInstance(); c.set(Calendar.HOUR_OF_DAY, 10);
     * c.set(Calendar.MINUTE, 30); //c.add(Calendar.DAY_OF_YEAR, 5);
     * app1.setDate(c.getTime());
     * 
     * AppReqTO app2 = new AppReqTO(); app2.setDescription("App 2"); Calendar c2 =
     * Calendar.getInstance(); //c2.set(Calendar.DATE, -1);
     * c2.set(Calendar.HOUR_OF_DAY, 9); c2.set(Calendar.MINUTE, 15);
     * app2.setDate(c2.getTime()); appointments.add(app1);
     * appointments.add(app2);
     */
  }

  private List getAppointmentsInTimeSlot(Date begin, Date end) {
    List app = new ArrayList();

    try {
      for (Iterator i = appointments.iterator(); i.hasNext();) {
        /*
         * AppReqTO temp = (AppReqTO) i.next(); if
         * (begin.before(temp.getEndTS()) && end.after(temp.getStartTS())) {
         * 
         * app.add(temp); break; }
         */
      }
    } catch (Exception e) {
      return null;
    }
    return app;
  }

  public MiniDay(Composite parent, int style) {

    super(parent, style);

    appointments = new ArrayList();

    dayLabel.setText("Monday");
    dayLabel.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
    dayLabel.setText(dayName);

    dayLabel.setBounds(1, 0, 64, 20);

    table = new Table(this, SWT.BORDER);
    table.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
    table.setLinesVisible(true);
    table.setHeaderVisible(true);
    table.setBounds(1, 22, 260, 147);

    final TableColumn timeTableColumn = new TableColumn(table, SWT.NONE);
    timeTableColumn.setWidth(100);
    timeTableColumn.setText("Time");

    final TableColumn descriptionTableColumn = new TableColumn(table, SWT.NONE);
    descriptionTableColumn.setWidth(155);
    descriptionTableColumn.setText("Description");

    currentdateText = new Text(this, SWT.READ_ONLY | SWT.BORDER);
    currentdateText.setFont(SWTResourceManager.getFont("", 10, SWT.NONE));
    currentdateText.addModifyListener(new ModifyListener() {
      public void modifyText(ModifyEvent e) {
        Calendar beginSlot = Calendar.getInstance();
        beginSlot.setTime(theDate.getTime());
        Calendar endSlot = Calendar.getInstance();
        endSlot.setTime(theDate.getTime());
        beginSlot.set(Calendar.HOUR_OF_DAY, 0);
        endSlot.set(Calendar.HOUR_OF_DAY, 24);

        List apps = getAppointmentsInTimeSlot(beginSlot.getTime(), endSlot
            .getTime());
        for (Iterator i = apps.iterator(); i.hasNext();) {
          /*
           * AppReqTO temp = (AppReqTO) i.next(); final TableItem tableItem =
           * new TableItem(table, SWT.NONE); tableItem.setBackground(0,
           * Display.getCurrent().getSystemColor( SWT.COLOR_GRAY));
           * tableItem.setText(1, temp.getComment()); tableItem.setText(0,
           * temp.getStartTS().toString());
           * tableItem.setData("timeslotTableColumn", temp.getStartTS() );
           */
        }

      }
    });

    currentdateText.setBounds(116, 0, 145, 20);
  }

  public void dispose() {
    super.dispose();
  }

  protected void checkSubclass() {
  }

  public Calendar getTheDate() {
    return theDate;
  }

  public void setTheDate(Calendar theDate) {
    this.theDate = theDate;
    currentdateText.setText(formatter.format(theDate.getTime()));
  }

  public String getDayName() {
    return dayName;
  }

  public void setDayName(String dayName) {
    this.dayName = dayName;
    dayLabel.setText(dayName);
  }

}