package za.co.momentum.recurring.nurse.client.ui.components;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.ScrolledComposite;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import za.co.momentum.risk.fastlane.nurse.dto.AppDetailTO;

public class TestAppointmentDetails {
	protected Shell shell;

	public static void main(String[] args) {
		try {
			TestAppointmentDetails window = new TestAppointmentDetails();
			window.open();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	public void open() {
		final Display display = Display.getDefault();
		createContents();
		shell.open();
		shell.layout();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
	}
	protected void createContents() {
		shell = new Shell();
		shell.setLayout(new FillLayout());
		shell.setSize(689, 502);
		shell.setText("SWT Application");
		final ScrolledComposite scrolledComposite = new ScrolledComposite(shell,
				SWT.BORDER | SWT.H_SCROLL | SWT.V_SCROLL);
		final Composite composite = new Composite(scrolledComposite, SWT.NONE);
		composite.setLocation(0, 0);
		final AppointmentDetails appointmentDetails = new AppointmentDetails(
				composite, SWT.NONE);
		appointmentDetails.setBounds(4, 5, 645, 424);
		composite.setSize(656, 445);
		scrolledComposite.setContent(composite);
		AppDetailTO test = new AppDetailTO();
		test.setBranch("Branch");
		test.setComments("Original comments");
		test.setBroker("Broker");
		// test.setCellNo("cellnumber");
		// test.setExtraReqs("Exta");
		// test.setWorkNo("work number");
		appointmentDetails.setAppreq(test);
	}
}
