package za.co.momentum.recurring.nurse.client.ui.tools;

public class ListBoxSelector {
	private long lastTime;
	private String text;
	private static ListBoxSelector instance;

	private ListBoxSelector() {
		lastTime = System.currentTimeMillis();
		text = "";
	}

	public static ListBoxSelector getInstance() {
		if (instance == null) {
			instance = new ListBoxSelector();
		}
		return instance;
	}

	public String getTypedText(char character) {
		long now = System.currentTimeMillis();
		if (Character.isLetterOrDigit(character)) {
			if ((now - lastTime) > 2000) {
				text = "" + character;
			} else {
				text = text + character;
			}
		}else
		{
			text = "";
		}
		lastTime = System.currentTimeMillis();
		return text;
	}
}
