package za.co.momentum.recurring.nurse.db;




// Author: Johan H <johan@guruhut.com>
public class FileEventsConstants extends ReverseMapped {
	public static final int FILE_IS_NEW = 1;
	public static final int FILE_IS_BEING_EDITED = 2;
	public static final int FILE_READY_FOR_UPLOAD = 3;
	public static final int FILE_UPLOADED = 4;
	public static final int FILE_ERROR = 5;
	
	public static String getTextForConstant(int const_value) {
		return getTextForConstant(FileEventsConstants.class, const_value);
	}
	public static int [] getAllConstants() {
		return getAllConstants(FileEventsConstants.class);
	}
	
}
