package za.co.momentum.recurring.nurse.db;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Collection;
import za.co.momentum.recurring.nurse.util.TNLogger;

// Author: Johan H <johan@guruhut.com>
public class MetaDataManager {
	public Collection getTable(final String tableName) throws SQLException {
		final Collection col = new ArrayList();
		new ManagedConnection() {
			public void execute(Connection conn) throws SQLException {
				TNLogger.debug("In Managedconnection.getTable");
				PreparedStatement st = conn
						.prepareStatement("select * from INFORMATION_SCHEMA.SYSTEM_TABLES where TABLE_NAME=?");
				st.setString(1, tableName);
				ResultSet rs = st.executeQuery();
				TNLogger.debug("******");
				while (rs.next()) {
					TNLogger.debug("Adding a table");
					col.add(rs.getString("TABLE_NAME"));
				}
				cleanup(rs);
				st.close();
			}
		};
		return col;
	}
}
