package za.co.momentum.recurring.nurse.util.anttasks;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Calendar;
import java.util.StringTokenizer;

import org.apache.tools.ant.BuildException;


public class WebServiceAddCompression extends org.apache.tools.ant.Task{
	
	//Semicolon delimited string of files to add compression properties
	private String serviceLocaterFiles;
	

	public String getServiceLocaterFiles() {
		return serviceLocaterFiles;
	}

	public void setServiceLocaterFiles(String serviceLocaterFiles) {
		this.serviceLocaterFiles = serviceLocaterFiles;
	}

	public void execute() throws BuildException  {
		StringTokenizer st = new StringTokenizer(serviceLocaterFiles, ";");
		while (st.hasMoreTokens()) {
			String filename = st.nextToken();
			BufferedWriter outFile = null;
			BufferedReader f1 = null;
			try {
				f1 = new BufferedReader(new FileReader(filename));
				outFile = new BufferedWriter(new FileWriter(filename+"tmp"));
				while (f1.ready()) {
					String temp = f1.readLine();
					if (temp.indexOf(" if (firstCall()) {") > 0) {
						outFile.write(temp);
						//now add then compression bit
						outFile.write("\n");
						outFile.write("_call.setProperty(org.apache.axis.transport.http.HTTPConstants.MC_GZIP_REQUEST, Boolean.TRUE);");
						outFile.write("\n");
						outFile.write("_call.setProperty(org.apache.axis.transport.http.HTTPConstants.MC_ACCEPT_GZIP, Boolean.TRUE);");
						outFile.write("\n");
					}else {
						outFile.write(temp);
					}
					outFile.write("\n");
				}
					
				f1.close();
				outFile.flush();
				outFile.close();
				renameFiles(filename+"tmp", filename);
			} catch (IOException e) {
				System.out.println("Error " + e.getMessage());
			
			}
		}
	}
	
	private void renameFiles(String oldFile, String newFile) {
		File old = new File(oldFile);
		File f = new File(newFile);
		if (f.exists()) {
			f.renameTo(new File(f.getAbsolutePath() + Calendar.getInstance().getTimeInMillis()));
			
		}
		old.renameTo(new File(newFile));
	}
}
