package za.co.momentum.recurring.client.TNPlugin;

import org.apache.log4j.Logger;
import org.eclipse.core.runtime.Platform;
import org.eclipse.jface.action.IStatusLineManager;
import org.eclipse.swt.graphics.Point;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;
import org.osgi.framework.Bundle;
import org.osgi.framework.BundleException;

import za.co.momentum.recurring.nurse.client.model.ClientWindowManager;
import za.co.momentum.recurring.nurse.client.tools.SendErrorEmail;
import za.co.momentum.recurring.nurse.db.DBManager;

public class ApplicationWorkbenchWindowAdvisor extends WorkbenchWindowAdvisor {
//	public boolean preWindowShellClose() {
////		if (ClientWindowManager.getInstance().hasOpenWindows()) {
////			ErrorMessages.showMessage(ErrorMessages.M17,
////					new String[] { "exiting the application" });
////			return false;
////		} else {
////			Do plugin stoppping here
//			try {
//				Platform.getBundle("MedPersonClientWeb").stop();
//			} catch (BundleException e) {
//				Logger.getLogger(ApplicationWorkbenchWindowAdvisor.class).fatal("Could not stop client web app " + e.getMessage());
//				SendErrorEmail.sendErrorMail(e, "postWindowOpen", "ApplicationWorkbenchAdvisor");
//			}
//			//Stopping db
//			DBManager.getinstance().stopDB();
//			return true;
//		//}
//	}
	
  @Override
  public void postWindowClose() {
    super.postWindowClose();

//    // Do plugin stoppping here
//    try {
//      Platform.getBundle("MedPersonClientWeb").stop();
//    } catch (BundleException e) {
//      Logger.getLogger(ApplicationWorkbenchWindowAdvisor.class).fatal("Could not stop client web app " + e.getMessage());
//      SendErrorEmail.sendErrorMail(e, "postWindowOpen", "ApplicationWorkbenchAdvisor");
//    }
    // Stopping db
    DBManager.getinstance().stopDB();
  }


	public ApplicationWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer) {
		super(configurer);
	}

	public ActionBarAdvisor createActionBarAdvisor(IActionBarConfigurer configurer) {
		return new ApplicationActionBarAdvisor(configurer);
	}

	public void preWindowOpen() {
		IWorkbenchWindowConfigurer configurer = getWindowConfigurer();
		configurer.setInitialSize(new Point(600, 500));
		configurer.setShowCoolBar(false);
		Bundle bundle = Platform.getProduct().getDefiningBundle();
		String version = (String) bundle.getHeaders().get(
				org.osgi.framework.Constants.BUNDLE_VERSION);
		configurer.setTitle(Application.APPLICATION_NAME + " ver " + version);
		configurer.setShowProgressIndicator(true);
		configurer.setShowStatusLine(true);
		configurer.setShowPerspectiveBar(false);
		// configurer.getActionBarConfigurer().getCoolBarManager()
////		Do plugin startup here
//		try {
//			Platform.getBundle("MedPersonClientWeb").start();
//		} catch (BundleException e) {
//			Logger.getLogger(ApplicationWorkbenchWindowAdvisor.class).fatal("Could not start client web app " + e.getMessage());
//			SendErrorEmail.sendErrorMail(e, "postWindowOpen", "ApplicationWorkbenchAdvisor");
//		}
	}

	public void postWindowOpen() {
		IStatusLineManager statusline = getWindowConfigurer()
				.getActionBarConfigurer().getStatusLineManager();
		statusline.setMessage("Ready");
		ClientWindowManager.getInstance().setStatusLine(statusline);

	}
}
