/*
 * Created on 2005/08/29
 */
package za.co.momentum.recurring.nurse.client.ui;

import java.util.Date;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;
import za.co.momentum.risk.fastlane.nurse.dto.UserTO;

public class NewAppointment extends Dialog {

  private Text appTimeSlot;
  private Text appDurationInMinutes;
  private Text appDescription;
  private Combo appNurse;
  private Text appDate;
  protected Object result;

  protected Shell shell;

  public NewAppointment(Shell parent, int style) {
    super(parent, style);
  }

  public NewAppointment(Shell parent) {
    this(parent, SWT.NONE);
  }

  public Object open() {
    createContents();
    shell.open();
    shell.layout();
    Display display = getParent().getDisplay();
    while (!shell.isDisposed()) {
      if (!display.readAndDispatch())
        display.sleep();
    }
    return result;
  }

  protected void createContents() {
    shell = new Shell(getParent(), SWT.DIALOG_TRIM | SWT.APPLICATION_MODAL);
    shell.setSize(500, 375);
    shell.setText("New appointment");

    final Label appointmentDateLabel = new Label(shell, SWT.NONE);
    appointmentDateLabel.setText("Appointment date");
    appointmentDateLabel.setBounds(10, 34, 91, 15);

    final Label appointmentTimeslotLabel = new Label(shell, SWT.NONE);
    appointmentTimeslotLabel.setText("Appointment timeslot");
    appointmentTimeslotLabel.setBounds(10, 59, 103, 16);

    final Label nurseLabel = new Label(shell, SWT.NONE);
    nurseLabel.setText("Nurse");
    nurseLabel.setBounds(10, 113, 96, 15);

    final Label descriptionLabel = new Label(shell, SWT.NONE);
    descriptionLabel.setText("Description");
    descriptionLabel.setBounds(10, 150, 84, 15);

    appDate = new Text(shell, SWT.READ_ONLY | SWT.BORDER);
    appDate.setBounds(120, 28, 150, 20);

    appNurse = new Combo(shell, SWT.NONE);
    appNurse.setBounds(120, 115, 150, 21);

    appDescription = new Text(shell, SWT.MULTI | SWT.BORDER | SWT.WRAP);
    appDescription.setBounds(120, 144, 293, 40);

    final Button makeAppointmentButton = new Button(shell, SWT.NONE);
    makeAppointmentButton.addSelectionListener(new SelectionAdapter() {
      public void widgetSelected(SelectionEvent e) {
        createAppointment();
      }
    });
    makeAppointmentButton.setText("Make appointment");
    makeAppointmentButton.setBounds(375, 315, 116, 30);

    final Button cancelButton = new Button(shell, SWT.NONE);
    cancelButton.setText("Cancel");
    cancelButton.setBounds(247, 314, 103, 30);

    final Label appointmentDurationInLabel = new Label(shell, SWT.NONE);
    appointmentDurationInLabel.setText("Appointment duration in minutes");
    appointmentDurationInLabel.setBounds(11, 84, 158, 17);

    appDurationInMinutes = new Text(shell, SWT.BORDER);
    appDurationInMinutes.setBounds(222, 85, 46, 19);

    appTimeSlot = new Text(shell, SWT.READ_ONLY | SWT.BORDER);
    appTimeSlot.setBounds(120, 56, 150, 20);
    //
  }

  private void fillSlots() {

  }

  private void createAppointment() {
    UserTO n = new UserTO();
    /*
     * AppReqTO app = new AppReqTO(); /*app.setNurse(n);
     * app.setDate(Calendar.getInstance().getTime()); app.setDescription("New
     * appointment"); app.setDurationInMinutes(30);
     */
    /* /ClientApplicationManager.getInstance().addAppointment(app); */
  }

  public void setDate(Date d) {
    appDate.setData(d);
    appDate.setText(d.toString());
  }

  public void setTimeSlot(String timeSlot) {
    appTimeSlot.setText(timeSlot);

  }

}