package za.co.momentum.recurring.nurse.client.ui.tools;

import org.eclipse.core.runtime.Platform;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.ShellAdapter;
import org.eclipse.swt.events.ShellEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.ProgressBar;
import org.eclipse.swt.widgets.Shell;

import com.swtdesigner.SWTResourceManager;

import za.co.momentum.recurring.nurse.util.TNLogger;

/**
 * This code was edited or generated using CloudGarden's Jigloo SWT/Swing GUI Builder, which is free for non-commercial
 * use. If Jigloo is being used commercially (ie, by a corporation, company or business for any purpose whatever) then
 * you should purchase a license for each developer using Jigloo. Please visit www.cloudgarden.com for details. Use of
 * Jigloo implies acceptance of these licensing terms. A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR THIS MACHINE, SO
 * JIGLOO OR THIS CODE CANNOT BE USED LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
 */
public class ContinuousProgressBar extends org.eclipse.swt.widgets.Dialog {
  private Shell dialogShell;

  private ProgressBar progressBar1;

  private Label label1;

  private boolean done = false;

  private Display display;

  private Button button1;

  private boolean cancelled;

  private GifImage gifImage1;

  private ProgressAction p;

  private String actionDescription = "";

  private String headingDescription = "";

  public String getHeadingDescription() {
    return headingDescription;
  }

  public void setHeadingDescription(String headingDescription) {
    this.headingDescription = headingDescription;
  }

  public String getActionDescription() {
    return actionDescription;
  }

  public void setActionDescription(String actionDescription) {
    this.actionDescription = actionDescription;
  }

  /**
   * Auto-generated main method to display this org.eclipse.swt.widgets.Dialog inside a new Shell.
   */
  public static void main(String[] args) {
    try {
      Display display = Display.getDefault();
      Shell shell = new Shell(display);
      shell.setBackground(SWTResourceManager.getColor(0, 128, 255));
      ContinuousProgressBar inst = new ContinuousProgressBar(shell, SWT.NULL, new ProgressAction() {
        public void executeAction() {
          for (int i = 0; i < 200; i++) {
            try {
              Thread.sleep(100);
            } catch (InterruptedException e) {
              //
              e.printStackTrace();
            }
          }
        }
      });
      inst.setHeadingDescription("Fastlane Unlimited");
      inst.setActionDescription("Doing something I don't like . . .");
      inst.open();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }

  public boolean isCancelled() {
    return cancelled;
  }

  public void setDone(boolean done) {
    this.done = done;
  }

  public ContinuousProgressBar(Shell parent, int style, ProgressAction p) {
    super(parent, style);
    display = parent.getDisplay();
    this.p = p;
  }

  public void open() {
    try {
      Shell parent = getParent();
      dialogShell = new Shell(parent, SWT.DIALOG_TRIM | SWT.APPLICATION_MODAL);
      {
        // Register as a resource user - SWTResourceManager will
        // handle the obtaining and disposing of resources
        // SWTResourceManager.registerResourceUser(dialogShell);
      }
      GridLayout dialogShellLayout = new GridLayout();
      dialogShellLayout.numColumns = 2;
      dialogShell.setLayout(dialogShellLayout);
      dialogShell.layout();
      dialogShell.pack();
      dialogShell.setSize(436, 152);
      dialogShell.setText(headingDescription);
      dialogShell.setLocation(display.getClientArea().width / 2 - 250, display.getClientArea().height / 2 - 160);
      {
        GridData gifImage1LData = new GridData();
        gifImage1LData.widthHint = 120;
        gifImage1LData.heightHint = 87;
        gifImage1LData.horizontalAlignment = GridData.CENTER;
        gifImage1 = new GifImage(dialogShell, SWT.NONE);
        gifImage1.setLayoutData(gifImage1LData);
        String filename = Platform.asLocalURL(Platform.getProduct().getDefiningBundle().getEntry("/icons/1gear1.gif"))
            .getPath();
        gifImage1.setFileName(filename);

        // System.out.println("Resource = " +
        // this.getClass().getResourceAsStream("client.properties"));
        // gifImage1.setFileStream(this.getClass().getResourceAsStream("/client.properties"));
      }
      {
        GridData progressBar1LData = new GridData();
        progressBar1LData.grabExcessHorizontalSpace = true;
        progressBar1LData.horizontalAlignment = GridData.FILL;
        progressBar1LData.heightHint = 8;
        progressBar1 = new ProgressBar(dialogShell, SWT.NONE);
        progressBar1.setLayoutData(progressBar1LData);
        progressBar1.setBackground(SWTResourceManager.getColor(0, 128, 255));
        progressBar1.setForeground(SWTResourceManager.getColor(15, 15, 255));
      }
      {
        button1 = new Button(dialogShell, SWT.PUSH | SWT.CENTER | SWT.FLAT);
        GridData button1LData = new GridData();
        button1LData.widthHint = 58;
        button1LData.heightHint = 23;
        button1LData.horizontalAlignment = GridData.CENTER;
        button1.setLayoutData(button1LData);
        button1.setText("Cancel");
        button1.addSelectionListener(new SelectionAdapter() {
          public void widgetSelected(SelectionEvent evt) {
            button1WidgetSelected(evt);
          }
        });
      }
      {
        label1 = new Label(dialogShell, SWT.NONE);
        label1.setText(actionDescription);
        GridData label1LData = new GridData();
        label1LData.heightHint = 16;
        label1LData.horizontalAlignment = GridData.FILL;
        label1LData.grabExcessHorizontalSpace = true;
        label1.setLayoutData(label1LData);
        label1.setFont(SWTResourceManager.getFont("Tahoma", 10, 1, false, false));
        label1.setForeground(SWTResourceManager.getColor(0, 128, 255));
      }
      dialogShell.addShellListener(new ShellAdapter() {
        public void shellIconified(ShellEvent evt) {
          //
        }

        public void shellDeiconified(ShellEvent evt) {
          //
        }

        public void shellDeactivated(ShellEvent evt) {
          //
        }

        public void shellClosed(ShellEvent evt) {
          //
          done = true;
        }

        public void shellActivated(ShellEvent evt) {
          //
        }
      });

      dialogShell.open();
      gifImage1.drawGUI();
      Thread thread = new Thread(p);
      thread.start();
      cancelled = false;
      while (!done) {
        progressBar1.setSelection(progressBar1.getSelection() + 1);
        if (progressBar1.getSelection() == progressBar1.getMaximum()) {
          progressBar1.setSelection(0);
        }
        display.readAndDispatch();
        Thread.sleep(300);
        if (!thread.isAlive()) {
          done = true;
        }
      }
      gifImage1.stopAnimation();
      if (cancelled) {
        try {
          thread.interrupt();
          TNLogger.debug("Thread interupted");
          if (thread.isAlive()) {
            thread.setPriority(Thread.MIN_PRIORITY);
          }
        } catch (Exception e) {
          TNLogger.debug("Interrupting thread or setting progress thread to min priority failed");
        }
      }
      if (!dialogShell.isDisposed()) {
        dialogShell.close();
      }
    } catch (Exception e) {
      TNLogger.debug("It is here");
      e.printStackTrace();
    }
  }

  public void run() {
    //
    open();
  }

  private void button1WidgetSelected(SelectionEvent evt) {
    done = true;
    cancelled = true;
  }
}
