package za.co.momentum.recurring.nurse.client.ui.tools;

import java.io.FileOutputStream;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableItem;

public class ExcellWriter {
	
	private Table table = null;
	private String filename = null;
	private	HSSFWorkbook wb = null;
	private	HSSFSheet sheet = null;
	private String title = null;

	public ExcellWriter(Table table, String filename, String title) {
		
		this.filename = filename;
		this.table = table;
		this.title = title;
	}
	public void writeExcellFile() {
		try {
			createWorkBook();
			createSheet();
			
			for (int i = 0; i < table.getItemCount(); i++) {
				TableItem ti = table.getItem(i);
				HSSFRow row = sheet.createRow((short)i);
				for (int j = 0; j < 11; j++) {
					String s = ti.getText(j);
					HSSFCell cell = row.createCell((short)j);
					cell.setCellValue(s);
				}
			}
			// Create a row and put some cells in it. Rows are 0 based.
			
			// Create a cell and put a value in it.
			
			
			
			// Write the output to a file
			FileOutputStream fileOut = new FileOutputStream(filename);
			wb.write(fileOut);
			fileOut.close();
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
		
		
	}
	private void createWorkBook() {
		wb = new HSSFWorkbook();
		
	}
	private void createSheet() {
		sheet = wb.createSheet("new sheet");
		
	}
	
}
