package za.co.momentum.recurring.nurse.db;

import java.sql.Connection;
import java.sql.SQLException;


// Author: Johan H <johan@guruhut.com>
public abstract class ManagedConnection extends ConnectionManager {
	public ManagedConnection () throws SQLException {
		Connection conn = null;
		
		try {
			conn = getConnection();
			execute(conn);
		} finally {
			cleanup(conn);
		}
	}
	public abstract void execute(Connection conn) throws SQLException;
}
