package za.co.momentum.recurring.nurse.util;

import java.util.Comparator;
import za.co.momentum.risk.fastlane.nurse.dto.AppDetailTO;

public class AppReqDetailAppointmentDateComparator implements Comparator {
	public int compare(Object o1, Object o2) {
		if ((o1 instanceof AppDetailTO) && (o2 instanceof AppDetailTO)) {
			AppDetailTO tab1 = (AppDetailTO) o1;
			AppDetailTO tab2 = (AppDetailTO) o2;
			Long s1 = new Long(tab1.getStartTimeStamp());
			Long s2 = new Long(tab2.getStartTimeStamp());
			return s1.compareTo(s2);
		} else {
			throw new IllegalArgumentException("Objects must be of the type "
					+ AppDetailTO.class);
		}
	}
}
